Index: /data/branches/single_player_map/scripts/falldown.lua
===================================================================
--- /data/branches/single_player_map/scripts/falldown.lua	(revision 3965)
+++ /data/branches/single_player_map/scripts/falldown.lua	(revision 3966)
@@ -1,3 +1,3 @@
-
+dy = 0
 randTime = 0
 eventFinished = false
@@ -15,6 +15,15 @@
 
 function fallDown(timestep)
+dy = dy + timestep*0.01
+thisX = fallingguy:getAbsCoorX()
+thisY = fallingguy:getAbsCoorY()
+thisZ = fallingguy:getAbsCoorZ()
 
+fallingguy:setAbsCoor(thisX, thisY - dy, thisZ)
+
+if thisY < 0 then
 eventFinished = true
+end
+
 end
 
@@ -27,5 +36,4 @@
 randTime = randTime - timestep
 else
---io.write("Falldown called \n")
 fallDown(timestep)
 end
Index: /data/branches/single_player_map/scripts/floorguy.lua
===================================================================
--- /data/branches/single_player_map/scripts/floorguy.lua	(revision 3965)
+++ /data/branches/single_player_map/scripts/floorguy.lua	(revision 3966)
@@ -1,5 +1,5 @@
 
 programRoute = true
-
+height = 80
 
 function tick(timestep)
Index: /data/branches/single_player_map/scripts/guard.lua
===================================================================
--- /data/branches/single_player_map/scripts/guard.lua	(revision 3965)
+++ /data/branches/single_player_map/scripts/guard.lua	(revision 3966)
@@ -5,5 +5,5 @@
 hangarReached = false
 
-height = 29
+height = 80
 
 -- Returns the distance between (x1,x2,x3) and (y1,y2,y3)
Index: /data/branches/single_player_map/scripts/prisoner.lua
===================================================================
--- /data/branches/single_player_map/scripts/prisoner.lua	(revision 3965)
+++ /data/branches/single_player_map/scripts/prisoner.lua	(revision 3966)
@@ -9,5 +9,5 @@
 
 randTime = 0
-height = 29
+height = 80
 
 
Index: /data/branches/single_player_map/scripts/secondguard.lua
===================================================================
--- /data/branches/single_player_map/scripts/secondguard.lua	(revision 3965)
+++ /data/branches/single_player_map/scripts/secondguard.lua	(revision 3966)
@@ -6,5 +6,5 @@
 hangarReached = false
 
-height = 29
+height = 100
 
 -- Returns the distance between (x1,x2,x3) and (y1,y2,y3)
Index: /data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw
===================================================================
--- /data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw	(revision 3965)
+++ /data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw	(revision 3966)
@@ -46,5 +46,5 @@
     <Script>
      <file>falldown.lua</file>
-     <object>GenericNPC, Fallingguy </object>
+     <object>TestEntity, fallingguy </object>
      <object>FPSPlayer, Player</object>
     </Script>
@@ -72,5 +72,5 @@
      <file>falldown.lua</file>
      <function>tick</function>
-     <abs-coor>-84, 19, 77</abs-coor>
+     <abs-coor>763, 0, 34</abs-coor>
      <radius>100</radius>
      <worldentity>Player</worldentity>
@@ -85,5 +85,4 @@
      <radius>100</radius>
      <worldentity>Player</worldentity>
-     <debugdraw>true</debugdraw>
     </ScriptTrigger>  
 
@@ -95,5 +94,4 @@
      <radius>100</radius>
      <worldentity>Player</worldentity>
-     <debugdraw>true</debugdraw>
     </ScriptTrigger>  
 
@@ -105,5 +103,4 @@
      <radius>100</radius>
      <worldentity>Player</worldentity>
-     <debugdraw>true</debugdraw>
     </ScriptTrigger> 
 
@@ -115,5 +112,4 @@
      <radius>100</radius>
      <worldentity>Player</worldentity>
-     <debugdraw>true</debugdraw>
     </ScriptTrigger>  
 
@@ -129,12 +125,11 @@
 
 
-<ScriptTrigger>
+    <ScriptTrigger>
      <name>floorguytrigger</name>
      <file>floorguy.lua</file>
      <function>tick</function>
-     <abs-coor>-84, 19, 77</abs-coor>
-     <radius>100</radius>
-     <worldentity>Player</worldentity>
-     <debugdraw>true</debugdraw>
+     <abs-coor>576.753357, 19, 508.746613</abs-coor>
+     <radius>100</radius>
+     <worldentity>Player</worldentity>
     </ScriptTrigger>
 
@@ -212,4 +207,13 @@
        <abs-dir>0, 0, 1, 0</abs-dir>
     </GenericNPC>
+
+
+   <TestEntity>
+       <name>fallingguy</name>
+       <model>models/creatures/doom_guy.md2, 10</model>
+       <md2texture>doom_guy.png</md2texture>
+       <abs-coor>620.5, 500, -750</abs-coor>
+       <abs-dir>-1.55, 0, 0, 1</abs-dir>
+    </TestEntity>
 
     <Door>
